#include <SDL.h>
#include <SDL_mixer.h>

int main(int argc, char* argv[]) {
    if (SDL_Init(SDL_INIT_AUDIO) < 0) {
        // 处理初始化错误
        return 1;
    }

    if (Mix_OpenAudio(44100, MIX_DEFAULT_FORMAT, 2, 4096) < 0) {
        // 处理初始化错误
        SDL_Quit();
        return 1;
    }

    Mix_Music* music = Mix_LoadMUS("bg_music.mp3");
    if (!music) {
        // 处理加载音乐文件失败
        Mix_CloseAudio();
        SDL_Quit();
        return 1;
    }

    if (Mix_PlayMusic(music, 0) == -1) {
        // 处理播放音乐失败
        Mix_FreeMusic(music);
        Mix_CloseAudio();
        SDL_Quit();
        return 1;
    }

    while (Mix_PlayingMusic()) {
        SDL_Delay(100); // 等待音乐播放完毕
    }

    Mix_FreeMusic(music);
    Mix_CloseAudio();
    SDL_Quit();

    return 0;
}
